<p>structural-directives works!</p>


<!-- <p>Ng If </p>
<div *ngIf="cont;then cont1;else cont2" >
hi
</div>
<ng-template #cont1>
  bye1
</ng-template>

<ng-template #cont2 >
bye2
</ng-template>

<p>Ng For</p>

<div *ngFor="let car of year" > 
  {{car.swift}}

</div>

<p>Ng Switch</p>

<input type="text"  [(ngModel)]="num">
<div [ngSwitch]="num" >
  <div *ngSwitchCase="1"  >one</div>
  <div *ngSwitchCase="2"  >two</div>
  <div *ngSwitchCase="3"  >three</div>
<div *ngSwitchDefault="5" >enter</div>
</div> -->